## org.eclipse.amp.axf.space
Class Location1DDoubleAdapter

    java.lang.Object
      org.eclipse.amp.axf.space.Location1DDoubleAdapter

All Implemented Interfaces:
  ILocation, ILocation1D

Direct Known Subclasses:
  Location2DDoubleAdapter

    public abstract class Location1DDoubleAdapter

extends java.lang.Object
implements ILocation1D

Author:
  mparker

Field Summary

Fields inherited from interface org.eclipse.amp.axf.space.ILocation
`NOT_LOCATED`

Constructor Summary
`Location1DDoubleAdapter()`

Method Summary
`java.lang.Object` `getX()`
`abstract double` `getXDouble()`
`int` `getXInteger()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Location1DDoubleAdapter

    public Location1DDoubleAdapter()

Method Detail

### getX

    public final java.lang.Object getX()

  Specified by:
    `getX` in interface `ILocation1D`
  Returns:
  See Also:
    `ILocation1D.getX()`

### getXInteger

    public final int getXInteger()

  Specified by:
    `getXInteger` in interface `ILocation1D`
  Returns:
  See Also:
    `ILocation1D.getXInteger()`

### getXDouble

    public abstract double getXDouble()

  Specified by:
    `getXDouble` in interface `ILocation1D`
  Returns:
  See Also:
    `ILocation1D.getXDouble()`